OS-SCO-OpenSource-GNU-binutils

From KRayWiki
Jump to: navigation, search

GNU binutils for SCO OpenServer 5.0.7

See Also: 
OS-SCO-OpenSource
OS-SCO


Summary

  • binutils through 1.15 seem to build without modification, but are very old ( <= 2003 ).
  • binutils through 1.20.1 build with known patch workarounds (age ~ 2009; 2011 modifications are likely packaging/build only).
    The patched source package is published on github: https://github.com/kbulgrien/binutils-2.20.1a-sco3.2v5.0.7
  • binutils > 1.20.1 do not build as of 2018/12.
    The most easily seen error message occurs during `make`:
    /csdi/admin/kevinb/bin/gcc-3.4.6 -c -DHAVE_CONFIG_H -static -I. -I./../include -W -Wall -Wwrite-strings -Wstrict-prototypes -Wshadow=local -pedantic -D_GNU_SOURCE ./cplus-dem.c -o cplus-dem.o In file included from ./../include/demangle.h:32, from ./cplus-dem.c:65: ./../include/libiberty.h:706: error: conflicting types for 'setproctitle' /csdi/admin/kevinb/lib/gcc/i686-pc-sco3.2v5.0.7/3.4.6/include/ stdlib.h:161: error: previous declaration of 'setproctitle' was here ./../include/libiberty.h:706: error: conflicting types for 'setproctitle' /csdi/admin/kevinb/lib/gcc/i686-pc-sco3.2v5.0.7/3.4.6/include/ stdlib.h:161: error: previous declaration of 'setproctitle' was here make[2]: *** [cplus-dem.o] Error 1 make[2]: Leaving directory `/csdi/src/sco507/gnu/binutils-2.31/libiberty' make[1]: *** [all-libiberty] Error 2 make[1]: Leaving directory `/csdi/src/sco507/gnu/binutils-2.31' make: *** [all] Error 2
    Attempts to build newer versions may present a challenge as it appears SCO support was removed at some point.
    $ cd /csdi/src/sco507/gnu/binutils-2.31/binutils $ CFLAGS="-static" \ ./configure --prefix=/csdi/src/sco507/root/usr/local ... *** Configuration i686-pc-sco3.2v5.0.7 is obsolete. *** Support has been REMOVED.
    Additional effort is required to find a way to resolve the build issues.

Procedure